## 纯 vim 升级流程

```
https://github.com/vim/vim/archive/refs/tags/v9.2.0321.tar.gz

sudo yum install -y ncurses-devel

./configure --with-features=huge \
            --enable-multibyte \
            --enable-python3interp=yes \
            --prefix=/usr/local

make -j3 && sudo make install

sudo mv /usr/bin/vim /usr/bin/vim.bak && sudo ln -s /usr/local/bin/vim /usr/bin/vim && vim --version | grep IMproved

```

## 部署

- 使用 fabric 提升效率，程序化部署
- 在 nginx-stg 上执行部署

```
nginx-stg 和 adx-stg 的 ssh pub key
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQChvocXtJkSeKaX5Iv7kXoj9vsWA8i2w2bZmTek9Bb0TYQ6gSu3AQZ0brOcCcwVjNxfVVjCx0/S0dJvSBc2GwZcoyeflE3cx5yCosKWybLmZbTcbz38bNgmUfIlwANZ3lltbMY17Qh/+SxQUthf21Jxl8YhFTF4HV8Mt7uakX3bdwd2hfRwuORiMp0I+8o6aXCYvf0AVdzkSgAc0eeMu5bfQyqoUH92HdChquuslqB23398D/fXOPFLUKq0pvVFKNk/Ps3V/0fG0QI5uOCKyq5Lh8JqmzIc/wujFckETskywaw28Cq610xLWid8j9iS86TTE4HALMrLTXgFbmsjoX03 adminuser@appstore-nginx-test
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDEJzz5WZCVc/3McT+QJwpAO8fHI7YFcDjtFpi+5wOTwwDLlT5rc27GEVR7GRqPhWLFYoi4OWddJnYYTFTEWUVLyvzKmzf1bbsdn74zac4O6qRAEO5wH3rUoMDssseoKW3bj4j9vUeNnoZXmF1T7buCv0wCjtPB9AdRST9+lfecGuDGifu3R9MCrncv/XN9ypyPUx6ax2qmPk/or9VbygdBjjExfpt7LupASYyQFbJgqnCaKnglI8JlvgRBnRTsP+4+ah23TYYhJ1SoCm2nBFFDdAVkKQOA998BlkA2YjG3+NEqZdL5IZNiV/ger+K4h+V+dI7r+4OhCLePOPRx4x5N adx-user@instance-wg2fujgd-3
```

## 升级的服务器

- 手动升级：跳转机 jump，nginx-stg，sync，api
- fabric 程序升级：nginx-1~8, adx-stg, adx-1, adx-2, proxy1, proxy2, trace-1, trace-2, log, tools

## vim 升级

| IP            | EIP            | Name      | Desc      |
| ------------- | -------------- | --------- | --------- |
| 192.168.20.30 | 180.184.56.133 | 跳转机    |           |
| 192.168.2.2   | 180.184.61.244 | nginx-stg |           |
| 192.168.2.5   | 180.184.61.206 | nginx-1   |           |
| 192.168.2.15  | 180.184.61.109 | nginx-2   |           |
| 192.168.2.16  | 180.184.61.174 | nginx-3   |           |
| 192.168.2.17  | 180.184.61.155 | nginx-4   |           |
| 192.168.2.18  | 180.184.61.51  | nginx-5   |           |
| 192.168.2.19  | 180.184.61.225 | nginx-6   |           |
| 192.168.2.20  | 180.184.61.251 | nginx-7   |           |
| 192.168.2.21  | 180.184.61.209 | nginx-8   |           |
| 192.168.20.26 | 180.184.56.136 | adx-stg   |           |
| 192.168.10.77 | 115.190.164.21 | adx-1     |           |
| 192.168.10.75 |                | adx-2     |           |
| 192.168.20.41 | 180.184.26.122 | traceEx-1 |           |
| 192.168.1.3   | 180.184.26.107 | traceEx-2 |           |
| 192.168.20.36 | 180.184.26.71  | proxyEx-1 |           |
| 192.168.20.37 | 180.184.26.17  | proxyEx-2 |           |
| 192.168.20.5  | 180.184.56.143 | log 落盘  |           |
| 192.168.2.4   | 180.184.61.34  | api       | 安装卸载  |
| 192.168.30.98 | 180.184.61.83  | sync      | 自然量    |
| 192.168.30.66 | 180.184.61.54  | tools     | 发邮件    |
